import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'agschat_platform_interface.dart';

/// An implementation of [AgschatPlatform] that uses method channels.
class MethodChannelAgschat extends AgschatPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('agschat');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
