import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'agschat_method_channel.dart';

abstract class AgschatPlatform extends PlatformInterface {
  /// Constructs a AgschatPlatform.
  AgschatPlatform() : super(token: _token);

  static final Object _token = Object();

  static AgschatPlatform _instance = MethodChannelAgschat();

  /// The default instance of [AgschatPlatform] to use.
  ///
  /// Defaults to [MethodChannelAgschat].
  static AgschatPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AgschatPlatform] when
  /// they register themselves.
  static set instance(AgschatPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
