import 'package:flutter_test/flutter_test.dart';
import 'package:agschat/agschat.dart';
import 'package:agschat/agschat_platform_interface.dart';
import 'package:agschat/agschat_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAgschatPlatform 
    with MockPlatformInterfaceMixin
    implements AgschatPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final AgschatPlatform initialPlatform = AgschatPlatform.instance;

  test('$MethodChannelAgschat is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAgschat>());
  });

  test('getPlatformVersion', () async {
    Agschat agschatPlugin = Agschat();
    MockAgschatPlatform fakePlatform = MockAgschatPlatform();
    AgschatPlatform.instance = fakePlatform;
  
    expect(await agschatPlugin.getPlatformVersion(), '42');
  });
}
